Skip to main content
POST
/
files
/
{id}
/
qa
Inspect document
curl --request POST \
  --url https://api.questra.ai/files/{id}/qa \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Org-Id: <x-org-id>' \
  --data '
{
  "priorQa": [
    {
      "id": "<string>",
      "summary": "<string>",
      "userClarification": "<string>",
      "excerpt": "<string>",
      "suggestions": [
        "<string>"
      ],
      "detail": {}
    }
  ]
}
'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://docs.questra.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

id
string
required

File ID returned by POST /surveys or POST /files

Body

application/json
priorQa
object[]

Response

200 - text/event-stream

SSE stream of discrepancy and done events.

The response is of type string.